Page MenuHomePhabricator

[analyzer][NFC] Use enum for CallDescription flags
ClosedPublic

Authored by steakhal on Nov 10 2021, 10:46 AM.

Details

Summary

Yeah, let's prefer a slightly stronger type representing this.

Diff Detail

Event Timeline

steakhal created this revision.Nov 10 2021, 10:46 AM

According to my comparative measurement, the whole change stack did not introduce any space and time overhead to the baseline. No reports changed. No crashes were introduced.
I tested about 12 projects or so.

xazax.hun accepted this revision.Nov 12 2021, 9:32 AM
This revision is now accepted and ready to land.Nov 12 2021, 9:32 AM
martong added inline comments.Nov 18 2021, 9:33 AM
clang/include/clang/StaticAnalyzer/Core/PathSensitive/CallDescription.h
38

The comment above is off now as that should go for CDF_MaybeBuiltin.
Also could you please add a menaningful comment for what CDF_None represents?

steakhal updated this revision to Diff 388434.Nov 19 2021, 2:12 AM
steakhal marked an inline comment as done.
  • move the CDF_None above the comment block
steakhal added inline comments.Nov 19 2021, 2:13 AM
clang/include/clang/StaticAnalyzer/Core/PathSensitive/CallDescription.h
38

FIxed by now. Although I'm not sure we need to elaborate none.

martong accepted this revision.Nov 19 2021, 2:59 AM

LGTM

This revision was landed with ongoing or failed builds.Nov 19 2021, 9:33 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptNov 19 2021, 9:33 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript